org.apache.ignite.internal.processors.cache.persistence.metastorage

## Class MetastorageRowStore

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.metastorage.MetastorageRowStore

    public class MetastorageRowStore
    extends Object

### Field Summary

Fields
`protected IgniteCacheDatabaseSharedManager` `db`

### Constructor Summary

Constructors
Constructor and Description
`MetastorageRowStore(FreeList freeList, IgniteCacheDatabaseSharedManager db)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addRow(MetastorageDataRow row)`
`MetastorageDataRow` `dataRow(String key, long link)`
`FreeList` `freeList()`
`void` `removeRow(long link)`
`boolean` `updateRow(long link, MetastorageDataRow row)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### db

    protected final IgniteCacheDatabaseSharedManager db

### Constructor Detail

#### MetastorageRowStore

    public MetastorageRowStore(FreeList freeList,
                               IgniteCacheDatabaseSharedManager db)

### Method Detail

#### dataRow

    public MetastorageDataRow dataRow(String key,
                                      long link)
                               throws IgniteCheckedException

Parameters:
  `link` - Row link.
Returns:
  Data row.
Throws:
  `IgniteCheckedException`

#### removeRow

    public void removeRow(long link)
                   throws IgniteCheckedException

Parameters:
  `link` - Row link.
Throws:
  `IgniteCheckedException` - If failed.

#### addRow

    public void addRow(MetastorageDataRow row)
                throws IgniteCheckedException

Parameters:
  `row` - Row.
Throws:
  `IgniteCheckedException` - If failed.

#### updateRow

    public boolean updateRow(long link,
                             MetastorageDataRow row)
                      throws IgniteCheckedException

Parameters:
  `link` - Row link.
  `row` - New row data.
Returns:
  `True` if was able to update row.
Throws:
  `IgniteCheckedException` - If failed.

#### freeList

    public FreeList freeList()

Returns:
  Free list.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018